/ api / cat / special / _put
_put
Syntax

    GB_METHOD ( "_put" , NULL , MyClass_put , Parameters )

    GB_STATIC_METHOD ( "_put" , NULL , MyClass_put , Parameters )

The `_put` method is called when the `[]` operator is used on the object or the class to insert data in it.

The method can be static. Then, the `[]` operator will have to be used on the class, not the object.

The method can take any parameters. These parameters will be the value to insert into the object, and those passed between the `[` and the `]` operators.

For example, the instruction `MyObject[X, Y] = Value` will cause a call to `_put` with `Value`, `X` and `Y` as parameters.

This method returns nothing.

### See also

Special Methods Methods Implementation